import './main.less';

function onInputHandler(event: Event) {
	const preview = document.getElementById('preview') as HTMLIFrameElement;
	const previewDoc = preview.contentDocument as Document;
	const src = event.target as HTMLInputElement;
	const dest = previewDoc.getElementById(src.id) as HTMLElement;
	dest.innerText = src.value;
}

window.addEventListener("load", () => {
	if (document.getElementById('preview')) {
		for (const el of document.getElementsByClassName('input-dispatch')) {
			console.debug(el);
			el.addEventListener('input', onInputHandler);
		}
	}

	for (const op of document.querySelectorAll('.option .preview')) {
		console.debug(op);
		const input_id = (op as HTMLElement).dataset.for;
		let handler: (_: Event) => void;
		if (input_id) {
			const input = document.getElementById(input_id);
			if (!input || input === null) {
				console.error("Unable to find input for", op);
				continue;
			}

			handler = (_: Event) => {
				(input as HTMLInputElement).checked = true;
			}
		} else {
			const p = (op as HTMLElement).parentNode;
			handler = (_: Event) => {
				window.location.href = (p as HTMLAnchorElement).href;
			}
		}
		op.addEventListener('click', handler);
		(op as HTMLIFrameElement).contentDocument?.addEventListener('click', handler);
	}
});
